<div class="wrapper-outer">
  <div class="container">
    <div class="row">
      <div class="col-sm-12">
        <div class="cont-login">
          <div class="rating-list"  *ngFor="let item of allRatings?.results;  let n = index">
            <div class="shadow-box" >
              <!--  *ngFor="let rating of allRatingList " -->
              <div class="profile-avatar"><img [attr.src]="item.profilePic?item.profilePic:'assets/images/default-profile-picture.png'"></div>
              <h3>{{item.employerType=='INDIVIDUAL'?item.individualContactName:item.companyName}}</h3>
              <h4>{{item.employerType}}</h4>
              <ul class="rating inline-ul">
                  <li *ngFor="let star of stars; let i = index">                                  
                      <i class="fas fa-star" *ngIf="item.rating >= i + 0.5; else emptyStar"
                          [ngClass]="{'fa-star-half-alt': item.rating >= i + 0.5 && item.rating < i + 1,
                          'fa-star': item.rating >= i + 1}">
                      </i>
                      </li>
                      <span>({{item.rating}})</span>
                  </ul>
              <ng-template #emptyStar>
                  <i class="far fa-star"></i>
              </ng-template> 
              <div class="rating-text">
                <p>{{item.review}}</p>
              </div>
            </div>
          </div>
          <!-- Pagination -->
          <pagination [totalItems]="total" [itemsPerPage]="perPage" [(ngModel)]="pageNo" [maxSize]="totalNoOfPages" previousText="&lsaquo;" nextText="&rsaquo;" firstText="&laquo;" lastText="&raquo;" [boundaryLinks]="true" [rotate]="false" (pageChanged)="getPaginatedData($event)" class="pagination-sm justify-content-center" ></pagination>
        </div>
      </div>
    </div>
  </div>
</div>